Name:           maven-reporting-exec
Version:        1.0.2
Release:        %mkrel 2
BuildArch:      noarch
Summary:        Classes to manage report plugin executions with Maven 3
Group:          Development/Java
License:        ASL 2.0
URL:            http://maven.apache.org/shared/maven-reporting-exec/
Source0:        http://repo1.maven.org/maven2/org/apache/maven/reporting/%{name}/%{version}/%{name}-%{version}-source-release.zip
Source1:        maven-model-depmap.xml

Patch0:         %{name}-disabling-enforcer.patch

BuildRequires:  java-devel
BuildRequires:  jpackage-utils
BuildRequires:  maven
BuildRequires:  plexus-containers-component-metadata
BuildRequires:  maven-surefire-plugin
BuildRequires:  maven-surefire-provider-junit4
BuildRequires:  aopalliance

Requires:       java
Requires:       maven
Requires:       slf4j
Requires:       maven-wagon
Requires:       jpackage-utils

%description
Classes to manage report plugin executions with Maven 3. Contains classes for
managing and configuring reports and their execution.

%package javadoc
Summary:        API documentation for %{name}
Group:          Development/Java
Requires:       jpackage-utils

%description javadoc
The API documentation of %{name}.



%prep
%setup -qn %{name}-%{version}
# convert CR+LF to LF
sed -i 's/\r//g' pom.xml src/main/java/org/apache/maven/reporting/exec/*

%patch0 -p1


%build
# Test.failure.ignore=true is here because a test of MavenReportExecutor
# fails with PlexusContainerException
mvn-rpmbuild install javadoc:aggregate -Dmaven.local.depmap.file=%{SOURCE1} \
 -Dmaven.test.failure.ignore=true 



%install
# JAR
install -Dpm 644 target/%{name}-%{version}.jar %{buildroot}%{_javadir}/%{name}.jar

# POM
install -Dpm 644 pom.xml %{buildroot}%{_mavenpomdir}/JPP-%{name}.pom
%add_maven_depmap JPP-%{name}.pom %{name}.jar

# JavaDoc
install -Ddm 755 %{buildroot}%{_javadocdir}/%{name}
cp -pr target/site/apidocs/* %{buildroot}%{_javadocdir}/%{name}



%files
%doc LICENSE NOTICE DEPENDENCIES
%{_javadir}/%{name}.jar
%{_mavenpomdir}/JPP-%{name}.pom
%{_mavendepmapfragdir}/%{name}

%files javadoc
%doc %{_javadocdir}/%{name}
%doc LICENSE NOTICE




%changelog

* Sat Jan 12 2013 umeabot <umeabot> 1.0.2-2.mga3
+ Revision: 359760
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Sep 15 2012 dmorgan <dmorgan> 1.0.2-1.mga3
+ Revision: 294013
- New version

* Fri Dec 09 2011 gil <gil> 1.0.1-3.mga2
+ Revision: 179668
- modified depmap added new BR

  + dmorgan <dmorgan>
    - imported package maven-reporting-exec

